summaryrefslogtreecommitdiff
path: root/include/get.sh
diff options
context:
space:
mode:
Diffstat (limited to 'include/get.sh')
-rw-r--r--include/get.sh13
1 files changed, 3 insertions, 10 deletions
diff --git a/include/get.sh b/include/get.sh
index 3ad1dcf0..f7d45686 100644
--- a/include/get.sh
+++ b/include/get.sh
@@ -199,17 +199,10 @@ try_fetch_curl()
try_curl()
{
- _ua=""
+ ua="Mozilla/5.0 (Windows NT 10.0; rv:91.0) Gecko/20100101 Firefox/91.0"
- case "$2" in
- https://www.supermicro.com/*)
- _ua="curl/8.6.0";;
- *)
- _ua="Mozilla/5.0 (Windows NT 10.0; rv:91.0) Gecko/20100101 Firefox/91.0";;
- esac
-
- ( x_ curl --location --retry 3 -A "$_ua" "$2" -o "$1" ) \
- || ( x_ wget --tries 3 -U "$_ua" "$2" -O "$1" ) \
+ ( x_ curl --location --retry 3 -A "$ua" "$2" -o "$1" ) \
+ || ( x_ wget --tries 3 -U "$ua" "$2" -O "$1" ) \
|| return 1; :
}